//
// rational.h
// Bruno Heidelberger <heidelberger@inf.ethz.ch>
// 14. Jan. 2004
//

class Rational 
{
private:
  int m_zaehler;
  int m_nenner;

public:
  Rational();
  Rational(int zaehler, int nenner);

  int getZaehler();
  int getNenner();

  void set(int zaehler, int nenner);
	
  void add(const Rational& r);
  void sub(const Rational& r);
  void mult(const Rational& r);
  void div(const Rational& r);

  void kuerzen();

  void print();

private:
  int ggt(int x1, int x2);
};

